
Infrastructure - Bug #8052

Geohashed value is incorrect

2017-03-27 20:43 - Bryce Mecum

Status: New Start date: 2017-03-27

Priority: Normal Due date:  

Assignee: Peter Slaughter % Done: 0%

Category: d1_indexer Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Milestone: None Story Points:  

Product Version:    

Description

Adam Shepherd at BCO-DMO uploaded a test DCX doc here:

https://search-sandbox.test.dataone.org/#view/http://lod.bco-dmo.org/id/dataset-file/682007

which has bounding coordinates of:

North

50.4907 degrees

South

20.4907 degrees

East

-120 degrees

West

120.826 degrees

and when we looked at the geohash values stored in the index for the record they appear to be incorrect. The bounding coordinates

this DCX record is using are a bit weird but I'm not sure they're invalid. Google's JavaScript maps API calculates the centroid as

35.490700000000004,-179.58700000000002 which, according to this tool, http://www.movable-type.co.uk/scripts/geohash.html,

should  have a geohash of 8n23ckusk but has a geohash of sn23ckusr instead, which is nearly 180 degrees longitude away from the

expected location.

History

#1 - 2017-03-28 16:00 - Dave Vieglais

- Milestone set to None

- Project changed from CN Index to Infrastructure

- Category set to d1_log_aggregation

- Assignee set to Jing Tao

- Priority changed from Normal to High

- Target version set to CCI-2.3.3

#2 - 2017-03-28 17:10 - Dave Vieglais

- Category changed from d1_log_aggregation to d1_indexer

#3 - 2017-03-29 21:48 - Jing Tao

Hi Bryce:

Peter and I talked about the issue a little bit. First he thought it probably was created by a bug in the index processor code. Then we found the

centroid calculated by Google's JavaScript maps API is not correct. It should be 35.4907, 0.413. If you use this centroid and the geohash tool which

you pasted, you will find the solr give you a right answer. 

#4 - 2017-03-29 22:56 - Jing Tao
- Assignee changed from Jing Tao to Peter Slaughter

#5 - 2017-03-30 01:00 - Jing Tao

- Priority changed from High to Normal

Downgrade the priority since it is a rare case.

#6 - 2017-04-07 22:06 - Jing Tao

- Target version changed from CCI-2.3.3 to CCI-2.4.0
